Summary: Example VMOD for Varnish
Name: vmod-data_dome_shield
Version: 0.1
Release: 1%{?dist}
License: BSD
Group: System Environment/Daemons
Source0: VarnishDome-master.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: varnish >= 3.0.0
BuildRequires: make
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: python-docutils
# Varnish 3 requires to setup VARNISHSRC, for example you can define on the rpmbuild command line, like this:
# rpmbuild -bb --define 'VARNISHSRC /home/user/rpmbuild/BUILD/varnish-3.0.3' redhat/*spec
BuildRequires: varnish >= 4.0.0
BuildRequires: varnish-libs-devel >= 4.0.0

%description
Example VMOD

%prep
%setup -n VarnishDome-master

%build
./autogen.sh
%configure VARNISHSRC=%{VARNISHSRC} VMODDIR="$(PKG_CONFIG_PATH=%{VARNISHSRC} pkg-config --variable=vmoddir varnishapi)" --prefix=/usr/
%{__make} %{?_smp_mflags}
%{__make} %{?_smp_mflags}

%install
[ %{buildroot} != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
mv %{buildroot}/usr/share/doc/lib%{name} %{buildroot}/usr/share/doc/%{name}


%clean
[ %{buildroot} != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnis*/vmods/
%doc /usr/share/doc/%{name}/*
%{_mandir}/man?/*

%changelog
* Tue Oct 13 2015 Kirill A. Korinsky <kirill@korins.ky> - 0.1-0.20151013
- Initial release.
